Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.utils
Class WrappedRunnable

    java.lang.Object
      org.apache.cassandra.utils.WrappedRunnable

All Implemented Interfaces:
  java.lang.Runnable

Direct Known Subclasses:
  FileStreamTask, SSTableDeletingTask

    public abstract class WrappedRunnable

extends java.lang.Object
implements java.lang.Runnable

Constructor Summary
`WrappedRunnable()`

Method Summary
`void` | `run()`
`protected abstract void` | `runMayThrow()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WrappedRunnable

    public WrappedRunnable()

Method Detail

### run

    public final void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

### runMayThrow

    protected abstract void runMayThrow()
                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation